Subject: Re: bug#28496: 25.2; Crash when manipulating fullscreen frames on macOS

From: Alan Third <[email-masked]>
Date: Mon, 18 Sep 2017 17:39:22 +0100

On Mon, Sep 18, 2017 at 04:10:47PM +0100, Duncan Harvey wrote:
> Run:
> 
>   open -na Emacs --args -Q -l .../path/to/macos-fullscreen-frame-crash.el
> 
> with the attached script.
> 
> On my system this crashes every time: "Fatal error 11: Segmentation faultAbort trap: 6"
> 
> Emacs will still crash if one runs the Emacs executable directly
> (with the -Q and -l arguments), rather then via the 'open' command.
> I only use 'open' as a convenience, to avoid including the entire
> path to Emacs' executable.

I can replicate the crash in Emacs 25, but the Emacs 26 branch does
something quite strange. It doesn’t crash, it seems to leave the
fullscreen window in the background with no contents. I suspect that
Emacs is deleting the frame before the fullscreen animation has
completed.

-- 
Alan Third